/**
 * Krepšelio puslapis (WooCommerce Cart)
 * Priklauso: cart table, coupon, cart totals, checkout button
 */

.cross-sells {
  display: none;
}

.woocommerce-cart-form tr td {
  border-top: 1px solid var(--light-grey-color);
}

.woocommerce-cart-wrap .cart.shop_table td {
  padding: 3px 10px 3px 0;
}

.woocommerce-cart-form thead tr th {
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
  color: var(--grey-text-color);
}

.woocommerce-cart-wrap .cart.shop_table td.product-price,
.woocommerce-cart-wrap .cart.shop_table td.product-subtotal,
.woocommerce-cart-wrap .cart.shop_table td.product-name a,
.woocommerce-cart-wrap .cart.shop_table td.product-quantity .quantity .qty {
  font-size: 20px;
  line-height: 26px;
  font-weight: 400;
}

.woocommerce-cart-wrap .cart.shop_table td.product-name a {
  font-family: var(--font-family-primary);
  color: var(--primary-color);
}

.woocommerce-cart-wrap .cart.shop_table td.product-price,
.woocommerce-cart-wrap .cart.shop_table td.product-quantity .quantity .qty,
.woocommerce-cart-wrap .cart.shop_table td.product-subtotal {
  font-family: var(--font-family-secondary);
}

.woocommerce-cart-wrap .cart.shop_table td.product-price {
  color: var(--grey-text-color);
}

.woocommerce-cart-wrap .cart.shop_table td.product-quantity .quantity .qty,
.woocommerce-cart-wrap .cart.shop_table td.product-subtotal {
  color: var(--secondary-color);
}

.woocommerce-cart-wrap .cart.shop_table td.product-quantity .quantity .qty {
  background-color: transparent !important;
  border: none !important;
}

.woocommerce-cart-wrap .cart.shop_table td.product-quantity .quantity .is-form {
  border-radius: 50px !important;
  width: 20px !important;
  height: 20px;
  min-height: unset !important;
  border-color: var(--light-grey-color) !important;
}

.woocommerce-cart-wrap td.product-quantity .quantity .is-form svg path {
  fill: var(--grey-text-color);
}

.woocommerce-cart-wrap .quantity {
  display: flex;
  align-items: center;
}

.product-remove .remove {
  background: transparent !important;
  color: var(--primary-color);
  font-size: 26px;
  font-weight: 400;
  -webkit-mask: unset !important;
  mask-repeat: repeat;
  mask-position-x: 0%;
  mask-position-y: 0%;
  mask-size: auto;
  mask-image: unset !important;
  mask-image: unset !important;
  -webkit-mask-size: unset !important;
  mask-size: unset !important;
  -webkit-mask-position: unset !important;
  mask-position: unset !important;
}

.coupon button.dt-wc-btn {
  max-height: 42px;
  min-height: unset;
  padding: 10px 48px;
  border-radius: 50px;
  background-color: var(--primary-color);
  color: var(--secondary-color);
  border: 1px solid var(--primary-color);
  font-family: var(--font-family-secondary);
  font-size: 17px;
  line-height: 23px;
  font-weight: 400;
  text-transform: uppercase;
  transition: background-color 0.3s ease;
}

.coupon button.dt-wc-btn:hover {
  background-color: transparent !important;
  color: var(--primary-color);
}

.cart-footer {
  align-items: flex-start;
}

.cart td.actions .coupon {
  flex-direction: column !important;
}

.cart td.actions .coupon .coupon-error-notice {
  margin-top: 12px;
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 26px;
  font-weight: 400;
  color: var(--grey-text-color);
}

.cart td.actions .coupon .coupon-inner {
  border-radius: 50px;
  border: 1px solid var(--light-grey-color);
  padding: 3px 3px 3px 21px;
  height: 50px;
  display: flex;
  align-items: center;
}

.update-cart-button {
  height: 50px;
}

.cart td.actions .coupon .input-text {
  border: none;
  font-family: var(--font-family-secondary);
  font-size: 18px;
  line-height: 25px;
  font-weight: 400;
  color: var(--grey-text-color);
  background-color: transparent;
  height: 42px;
  min-height: unset;
}

.woocommerce-cart-wrap .cart-collaterals {
  background-color: transparent !important;
  padding: 0 !important;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.woocommerce-cart-wrap .cart-collaterals .cart_totals {
  background-color: var(--bg-grey-color);
  padding: 33px 30px 20px;
  width: 100%;
}

.cart-collaterals .cart_totals h2 {
  font-family: var(--font-family-primary);
  font-size: 24px;
  line-height: 31px;
  font-weight: 400;
  color: var(--primary-color);
}

.cart-collaterals .cart_totals .cart-subtotal th,
.cart-collaterals .cart_totals .shipping th,
.cart-collaterals .cart_totals .order-total th {
  font-family: var(--font-family-secondary);
  font-size: 14px;
  line-height: 19px;
  font-weight: 400;
  color: var(--grey-text-color);
}

.cart-collaterals .cart-subtotal td .woocommerce-Price-amount.amount {
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 27px;
  font-weight: 400;
  color: var(--secondary-color);
}

.cart-collaterals .cart_totals .shipping td {
  font-family: var(--font-family-secondary);
  font-size: 20px;
  line-height: 27px;
  font-weight: 400;
  color: var(--secondary-color);
}

.cart-collaterals .cart_totals .order-total .amount {
  font-family: var(--font-family-secondary);
  font-size: 30px;
  line-height: 41px;
  font-weight: 400;
  color: var(--secondary-color);
}

.cart-collaterals .cart_totals .checkout-button {
  font-family: var(--font-family-secondary) !important;
  font-size: 17px !important;
  line-height: 23px !important;
  font-weight: 400 !important;
  color: var(--secondary-color) !important;
  width: 100% !important;
  border-radius: 50px !important;
  border: 1px solid var(--primary-color) !important;
  background-color: var(--primary-color) !important;
  padding: 10px 0 !important;
  text-transform: uppercase !important;
  transition: background-color 0.3s ease !important;
}

.cart-collaterals .cart_totals .checkout-button:hover {
  background-color: transparent !important;
  color: var(--primary-color) !important;
}

.cart-collaterals .add-more_btn {
  font-family: var(--font-family-secondary) !important;
  font-size: 17px;
  line-height: 23px;
  font-weight: 400;
  color: var(--primary-color) !important;
  width: 100%;
  border-radius: 50px;
  border: 1px solid var(--primary-color) !important;
  background-color: transparent !important;
  padding: 10px 0;
  margin-top: 14px;
  text-transform: uppercase;
  transition: background-color 0.3s ease;
}

.cart-collaterals .add-more_btn:hover {
  background-color: var(--primary-color) !important;
  color: var(--secondary-color) !important;
}

.shipping-calculator-button {
  color: var(--primary-color);
}

.shipping-calculator-button:hover {
  color: var(--secondary-color);
}

div:not(.wc-coupon-wrap):not(.wc-login-wrap):not(.woocommerce-MyAccount-content) > .woocommerce-message, .woocommerce-error, div:not(.wc-coupon-wrap):not(.wc-login-wrap):not(.woocommerce-MyAccount-content) > .woocommerce-info {
  background-color: var(--primary-color);
}

.woocommerce-cart .button.wc-backward {
  display: flex;
  align-items: center;
  justify-content: space-between;
  border: 1px solid var(--primary-color);
  background-color: var(--primary-color);
  transition: color 0.3s ease-in-out;
  padding: 8px 32px;
  min-height: 50px;
  max-width: 250px;
  margin-bottom: 14px;
  width: 100%;
  border-radius: 50px;
  font-family: var(--font-family-secondary);
  font-size: 17px;
  line-height: 23px;
  font-weight: 400;
  text-transform: uppercase;
  color: var(--secondary-color);
  transition: color 0.3s ease-in-out;
}

.woocommerce-cart .button.wc-backward:hover {
  background-color: transparent;
  border-color: var(--primary-color);
  color: var(--primary-color);
}

/* Cart – responsive */
@media (max-width: 1000px) {
  .woocommerce-cart-wrap .coupon > * {
    margin-top: 0;
  }
}

@media (max-width: 722px) {
  .woocommerce-cart-wrap .coupon {
    padding-bottom: 12px;
  }
}

@media (max-width: 640px) {
  .shop_table tr.cart_item td a.remove {
    text-align: right;
    width: 100%;
  }
}

@media (max-width: 543px) {
  .woocommerce-cart-wrap .cart.shop_table td.actions {
    margin: 0 !important;
    padding-top: 0 !important;
  }

  .woocommerce-cart-wrap .wc-coupon-field {
    display: inline-block;
    border-radius: 50px;
    border: 1px solid var(--light-grey-color);
    padding: 3px 21px;
    width: 100%;
  }

  .cart td.actions .coupon .coupon-inner {
    flex-direction: column;
    width: 100%;
    gap: 12px;
    border-radius: unset;
    border: none;
    padding: 0;
    height: unset;
  }

  .cart td.actions .coupon .input-text,
  .coupon button.dt-wc-btn {
    width: 100%;
  }

  .woocommerce-cart-wrap .coupon {
    padding-right: 0;
    width: 100%;
  }
}
